1 Reply Latest reply: Aug 12, 2013 6:07 AM by Klaus1
anetafromwa Level 1 Level 1 (0 points)

I have a mini mac 10.5.8 and trying unsuccessfully to install Itunes 10.6.3 to be able to sync my new Iphone.  Keeps giving me an error message before complete, what am I doing wrong??


Mac mini, Mac OS X (10.5.8), need update to sync Iphone